{
	"artifacts" : 
	[
		{
			"path" : "bin/AQTSampleMachinePlug.so"
		}
	],
	"backtrace" : 1,
	"backtraceGraph" : 
	{
		"commands" : 
		[
			"add_library",
			"install",
			"target_link_libraries",
			"set_target_properties",
			"include",
			"find_package",
			"find_dependency",
			"_qt_internal_find_qt_dependencies",
			"set_property",
			"_qt_internal_find_third_party_dependencies",
			"fastdds_load_targets",
			"target_compile_options",
			"target_compile_definitions",
			"include_directories",
			"target_include_directories"
		],
		"files" : 
		[
			"plugins/AQTSampleMachinePlug/CMakeLists.txt",
			"/home/suzj/Qt/6.8.1/gcc_64/lib/cmake/Qt6Quick/Qt6QuickTargets.cmake",
			"/home/suzj/Qt/6.8.1/gcc_64/lib/cmake/Qt6Quick/Qt6QuickConfig.cmake",
			"/home/suzj/Qt/6.8.1/gcc_64/lib/cmake/Qt6/Qt6Config.cmake",
			"CMakeLists.txt",
			"/home/suzj/Qt/6.8.1/gcc_64/lib/cmake/Qt6QmlMeta/Qt6QmlMetaTargets.cmake",
			"/home/suzj/Qt/6.8.1/gcc_64/lib/cmake/Qt6QmlMeta/Qt6QmlMetaConfig.cmake",
			"/home/suzj/Qt/Tools/CMake/share/cmake-3.29/Modules/CMakeFindDependencyMacro.cmake",
			"/home/suzj/Qt/6.8.1/gcc_64/lib/cmake/Qt6/QtPublicDependencyHelpers.cmake",
			"/home/suzj/Qt/6.8.1/gcc_64/lib/cmake/Qt6Quick/Qt6QuickDependencies.cmake",
			"/home/suzj/Qt/Tools/CMake/share/cmake-3.29/Modules/FindOpenGL.cmake",
			"/home/suzj/Qt/6.8.1/gcc_64/lib/cmake/Qt6Qml/Qt6QmlTargets.cmake",
			"/home/suzj/Qt/6.8.1/gcc_64/lib/cmake/Qt6Qml/Qt6QmlConfig.cmake",
			"/home/suzj/Qt/Tools/CMake/share/cmake-3.29/Modules/FindThreads.cmake",
			"/home/suzj/Qt/6.8.1/gcc_64/lib/cmake/Qt6/Qt6Dependencies.cmake",
			"/usr/local/share/fastdds/cmake/fastdds-shared-targets.cmake",
			"/usr/local/share/fastdds/cmake/fastdds-config.cmake"
		],
		"nodes" : 
		[
			{
				"file" : 0
			},
			{
				"command" : 0,
				"file" : 0,
				"line" : 32,
				"parent" : 0
			},
			{
				"command" : 1,
				"file" : 0,
				"line" : 99,
				"parent" : 0
			},
			{
				"command" : 2,
				"file" : 0,
				"line" : 56,
				"parent" : 0
			},
			{
				"file" : 4
			},
			{
				"command" : 5,
				"file" : 4,
				"line" : 43,
				"parent" : 4
			},
			{
				"file" : 3,
				"parent" : 5
			},
			{
				"command" : 5,
				"file" : 3,
				"line" : 181,
				"parent" : 6
			},
			{
				"file" : 2,
				"parent" : 7
			},
			{
				"command" : 4,
				"file" : 2,
				"line" : 55,
				"parent" : 8
			},
			{
				"file" : 1,
				"parent" : 9
			},
			{
				"command" : 3,
				"file" : 1,
				"line" : 61,
				"parent" : 10
			},
			{
				"command" : 4,
				"file" : 2,
				"line" : 43,
				"parent" : 8
			},
			{
				"file" : 9,
				"parent" : 12
			},
			{
				"command" : 7,
				"file" : 9,
				"line" : 43,
				"parent" : 13
			},
			{
				"command" : 6,
				"file" : 8,
				"line" : 143,
				"parent" : 14
			},
			{
				"command" : 5,
				"file" : 7,
				"line" : 76,
				"parent" : 15
			},
			{
				"file" : 6,
				"parent" : 16
			},
			{
				"command" : 4,
				"file" : 6,
				"line" : 55,
				"parent" : 17
			},
			{
				"file" : 5,
				"parent" : 18
			},
			{
				"command" : 3,
				"file" : 5,
				"line" : 61,
				"parent" : 19
			},
			{
				"command" : 5,
				"file" : 4,
				"line" : 39,
				"parent" : 4
			},
			{
				"file" : 10,
				"parent" : 21
			},
			{
				"command" : 8,
				"file" : 10,
				"line" : 712,
				"parent" : 22
			},
			{
				"command" : 3,
				"file" : 10,
				"line" : 710,
				"parent" : 22
			},
			{
				"command" : 6,
				"file" : 8,
				"line" : 143,
				"parent" : 14
			},
			{
				"command" : 5,
				"file" : 7,
				"line" : 76,
				"parent" : 25
			},
			{
				"file" : 12,
				"parent" : 26
			},
			{
				"command" : 4,
				"file" : 12,
				"line" : 58,
				"parent" : 27
			},
			{
				"file" : 11,
				"parent" : 28
			},
			{
				"command" : 3,
				"file" : 11,
				"line" : 61,
				"parent" : 29
			},
			{
				"command" : 4,
				"file" : 3,
				"line" : 136,
				"parent" : 6
			},
			{
				"file" : 14,
				"parent" : 31
			},
			{
				"command" : 9,
				"file" : 14,
				"line" : 34,
				"parent" : 32
			},
			{
				"command" : 6,
				"file" : 8,
				"line" : 36,
				"parent" : 33
			},
			{
				"command" : 5,
				"file" : 7,
				"line" : 76,
				"parent" : 34
			},
			{
				"file" : 13,
				"parent" : 35
			},
			{
				"command" : 8,
				"file" : 13,
				"line" : 238,
				"parent" : 36
			},
			{
				"command" : 5,
				"file" : 0,
				"line" : 22,
				"parent" : 0
			},
			{
				"file" : 16,
				"parent" : 38
			},
			{
				"command" : 10,
				"file" : 16,
				"line" : 112,
				"parent" : 39
			},
			{
				"command" : 4,
				"file" : 16,
				"line" : 91,
				"parent" : 40
			},
			{
				"file" : 15,
				"parent" : 41
			},
			{
				"command" : 3,
				"file" : 15,
				"line" : 61,
				"parent" : 42
			},
			{
				"command" : 11,
				"file" : 0,
				"line" : 88,
				"parent" : 0
			},
			{
				"command" : 12,
				"file" : 0,
				"line" : 39,
				"parent" : 0
			},
			{
				"command" : 13,
				"file" : 4,
				"line" : 50,
				"parent" : 4
			},
			{
				"command" : 14,
				"file" : 0,
				"line" : 51,
				"parent" : 0
			}
		]
	},
	"compileGroups" : 
	[
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "-g -g -O0 -Wall -Wextra -std=gnu++17 -fPIC -fdiagnostics-color=always"
				},
				{
					"backtrace" : 44,
					"fragment" : "-g"
				},
				{
					"backtrace" : 3,
					"fragment" : "-fPIC"
				},
				{
					"backtrace" : 3,
					"fragment" : "-pthread"
				}
			],
			"defines" : 
			[
				{
					"backtrace" : 45,
					"define" : "AQTSAMPLEMACHINEPLUG_LIBRARY"
				},
				{
					"define" : "AQTSampleMachinePlug_EXPORTS"
				},
				{
					"backtrace" : 3,
					"define" : "FASTCDR_DYN_LINK"
				},
				{
					"backtrace" : 3,
					"define" : "FASTDDS_DYN_LINK"
				},
				{
					"backtrace" : 3,
					"define" : "FOONATHAN_MEMORY=1"
				},
				{
					"backtrace" : 3,
					"define" : "FOONATHAN_MEMORY_VERSION_MAJOR=0"
				},
				{
					"backtrace" : 3,
					"define" : "FOONATHAN_MEMORY_VERSION_MINOR=7"
				},
				{
					"backtrace" : 3,
					"define" : "FOONATHAN_MEMORY_VERSION_PATCH=3"
				},
				{
					"backtrace" : 3,
					"define" : "QT_CORE_LIB"
				},
				{
					"backtrace" : 3,
					"define" : "QT_GUI_LIB"
				},
				{
					"backtrace" : 3,
					"define" : "QT_NETWORK_LIB"
				},
				{
					"backtrace" : 3,
					"define" : "QT_OPENGL_LIB"
				},
				{
					"backtrace" : 45,
					"define" : "QT_PLUGIN"
				},
				{
					"backtrace" : 3,
					"define" : "QT_QMLINTEGRATION_LIB"
				},
				{
					"backtrace" : 3,
					"define" : "QT_QMLMETA_LIB"
				},
				{
					"backtrace" : 3,
					"define" : "QT_QMLMODELS_LIB"
				},
				{
					"backtrace" : 3,
					"define" : "QT_QMLWORKERSCRIPT_LIB"
				},
				{
					"backtrace" : 3,
					"define" : "QT_QML_LIB"
				},
				{
					"backtrace" : 3,
					"define" : "QT_QUICK_LIB"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 0,
					"path" : "/home/suzj/AuseftDDSPlugins/build/BEFORE/AQTSampleMachinePlug_autogen/include"
				},
				{
					"backtrace" : 46,
					"path" : "/home/suzj/AuseftDDSPlugins"
				},
				{
					"backtrace" : 47,
					"path" : "/home/suzj/AuseftDDSPlugins/plugins/AQTSampleMachinePlug"
				},
				{
					"backtrace" : 3,
					"isSystem" : true,
					"path" : "/home/suzj/Qt/6.8.1/gcc_64/include/QtCore"
				},
				{
					"backtrace" : 3,
					"isSystem" : true,
					"path" : "/home/suzj/Qt/6.8.1/gcc_64/include"
				},
				{
					"backtrace" : 3,
					"isSystem" : true,
					"path" : "/home/suzj/Qt/6.8.1/gcc_64/mkspecs/linux-g++"
				},
				{
					"backtrace" : 3,
					"isSystem" : true,
					"path" : "/home/suzj/Qt/6.8.1/gcc_64/include/QtQuick"
				},
				{
					"backtrace" : 3,
					"isSystem" : true,
					"path" : "/home/suzj/Qt/6.8.1/gcc_64/include/QtGui"
				},
				{
					"backtrace" : 3,
					"isSystem" : true,
					"path" : "/home/suzj/Qt/6.8.1/gcc_64/include/QtQml"
				},
				{
					"backtrace" : 3,
					"isSystem" : true,
					"path" : "/home/suzj/Qt/6.8.1/gcc_64/include/QtQmlIntegration"
				},
				{
					"backtrace" : 3,
					"isSystem" : true,
					"path" : "/home/suzj/Qt/6.8.1/gcc_64/include/QtNetwork"
				},
				{
					"backtrace" : 3,
					"isSystem" : true,
					"path" : "/home/suzj/Qt/6.8.1/gcc_64/include/QtQmlMeta"
				},
				{
					"backtrace" : 3,
					"isSystem" : true,
					"path" : "/home/suzj/Qt/6.8.1/gcc_64/include/QtQmlModels"
				},
				{
					"backtrace" : 3,
					"isSystem" : true,
					"path" : "/home/suzj/Qt/6.8.1/gcc_64/include/QtQmlWorkerScript"
				},
				{
					"backtrace" : 3,
					"isSystem" : true,
					"path" : "/home/suzj/Qt/6.8.1/gcc_64/include/QtOpenGL"
				},
				{
					"backtrace" : 3,
					"isSystem" : true,
					"path" : "/usr/local/include/foonathan_memory"
				}
			],
			"language" : "CXX",
			"languageStandard" : 
			{
				"backtraces" : 
				[
					3,
					3,
					3
				],
				"standard" : "17"
			},
			"sourceIndexes" : 
			[
				0,
				1,
				2,
				3,
				4,
				5
			]
		}
	],
	"dependencies" : 
	[
		{
			"id" : "AQTSampleMachinePlug_autogen_timestamp_deps::@c2faa55591805e60c9f2"
		},
		{
			"backtrace" : 0,
			"id" : "AQTSampleMachinePlug_autogen::@c2faa55591805e60c9f2"
		}
	],
	"id" : "AQTSampleMachinePlug::@c2faa55591805e60c9f2",
	"install" : 
	{
		"destinations" : 
		[
			{
				"backtrace" : 2,
				"path" : "bin"
			},
			{
				"backtrace" : 2,
				"path" : "bin"
			}
		],
		"prefix" : 
		{
			"path" : "/usr/local"
		}
	},
	"link" : 
	{
		"commandFragments" : 
		[
			{
				"fragment" : "",
				"role" : "flags"
			},
			{
				"fragment" : "-Wl,-rpath,/home/suzj/Qt/6.8.1/gcc_64/lib::::::::::::::::::::::::::::::::::::::",
				"role" : "libraries"
			},
			{
				"backtrace" : 3,
				"fragment" : "/home/suzj/Qt/6.8.1/gcc_64/lib/libQt6Quick.so.6.8.1",
				"role" : "libraries"
			},
			{
				"backtrace" : 3,
				"fragment" : "/usr/local/lib/libfastdds.so.3.1.0",
				"role" : "libraries"
			},
			{
				"backtrace" : 3,
				"fragment" : "/usr/local/lib/libfastcdr.so.2.2.6",
				"role" : "libraries"
			},
			{
				"backtrace" : 11,
				"fragment" : "/home/suzj/Qt/6.8.1/gcc_64/lib/libQt6QmlMeta.so.6.8.1",
				"role" : "libraries"
			},
			{
				"backtrace" : 20,
				"fragment" : "/home/suzj/Qt/6.8.1/gcc_64/lib/libQt6QmlWorkerScript.so.6.8.1",
				"role" : "libraries"
			},
			{
				"backtrace" : 11,
				"fragment" : "/home/suzj/Qt/6.8.1/gcc_64/lib/libQt6QmlModels.so.6.8.1",
				"role" : "libraries"
			},
			{
				"backtrace" : 11,
				"fragment" : "/home/suzj/Qt/6.8.1/gcc_64/lib/libQt6Qml.so.6.8.1",
				"role" : "libraries"
			},
			{
				"backtrace" : 11,
				"fragment" : "/home/suzj/Qt/6.8.1/gcc_64/lib/libQt6OpenGL.so.6.8.1",
				"role" : "libraries"
			},
			{
				"backtrace" : 11,
				"fragment" : "/home/suzj/Qt/6.8.1/gcc_64/lib/libQt6Gui.so.6.8.1",
				"role" : "libraries"
			},
			{
				"backtrace" : 23,
				"fragment" : "/usr/lib/x86_64-linux-gnu/libGLX.so",
				"role" : "libraries"
			},
			{
				"backtrace" : 24,
				"fragment" : "/usr/lib/x86_64-linux-gnu/libOpenGL.so",
				"role" : "libraries"
			},
			{
				"backtrace" : 30,
				"fragment" : "/home/suzj/Qt/6.8.1/gcc_64/lib/libQt6Network.so.6.8.1",
				"role" : "libraries"
			},
			{
				"backtrace" : 3,
				"fragment" : "/home/suzj/Qt/6.8.1/gcc_64/lib/libQt6Core.so.6.8.1",
				"role" : "libraries"
			},
			{
				"backtrace" : 37,
				"fragment" : "-pthread",
				"role" : "libraries"
			},
			{
				"backtrace" : 43,
				"fragment" : "/usr/local/lib/libfoonathan_memory-0.7.3.so",
				"role" : "libraries"
			},
			{
				"backtrace" : 43,
				"fragment" : "-lpthread",
				"role" : "libraries"
			},
			{
				"backtrace" : 43,
				"fragment" : "-ldl",
				"role" : "libraries"
			},
			{
				"backtrace" : 43,
				"fragment" : "/usr/lib/x86_64-linux-gnu/libtinyxml2.so",
				"role" : "libraries"
			},
			{
				"backtrace" : 43,
				"fragment" : "-lpthread",
				"role" : "libraries"
			},
			{
				"backtrace" : 43,
				"fragment" : "-ldl",
				"role" : "libraries"
			},
			{
				"backtrace" : 43,
				"fragment" : "/usr/lib/x86_64-linux-gnu/libtinyxml2.so",
				"role" : "libraries"
			},
			{
				"backtrace" : 43,
				"fragment" : "/usr/lib/x86_64-linux-gnu/libssl.so",
				"role" : "libraries"
			},
			{
				"backtrace" : 43,
				"fragment" : "/usr/lib/x86_64-linux-gnu/libcrypto.so",
				"role" : "libraries"
			},
			{
				"backtrace" : 43,
				"fragment" : "-lrt",
				"role" : "libraries"
			},
			{
				"fragment" : "-Wl,-rpath-link,/home/suzj/Qt/6.8.1/gcc_64/lib",
				"role" : "libraries"
			}
		],
		"language" : "CXX"
	},
	"name" : "AQTSampleMachinePlug",
	"nameOnDisk" : "AQTSampleMachinePlug.so",
	"paths" : 
	{
		"build" : "BEFORE",
		"source" : "plugins/AQTSampleMachinePlug"
	},
	"sourceGroups" : 
	[
		{
			"name" : "Source Files",
			"sourceIndexes" : 
			[
				0,
				1,
				2,
				3,
				4,
				5
			]
		},
		{
			"name" : "Header Files",
			"sourceIndexes" : 
			[
				6
			]
		},
		{
			"name" : "",
			"sourceIndexes" : 
			[
				7,
				8
			]
		},
		{
			"name" : "CMake Rules",
			"sourceIndexes" : 
			[
				9
			]
		}
	],
	"sources" : 
	[
		{
			"backtrace" : 0,
			"compileGroupIndex" : 0,
			"isGenerated" : true,
			"path" : "build/BEFORE/AQTSampleMachinePlug_autogen/mocs_compilation.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "plugins/AQTSampleMachinePlug/AQTSampleMachinePlug.cxx",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "plugins/AQTSampleMachinePlug/HelloWorldPubSubTypes.cxx",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "plugins/AQTSampleMachinePlug/HelloWorldTypeObjectSupport.cxx",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "plugins/AQTSampleMachinePlug/dds_manager.cxx",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "plugins/AQTSampleMachinePlug/hello_world_publisher.cxx",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"path" : "plugins/AQTSampleMachinePlug/AQTSampleMachinePlug.hpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "plugins/AQTSampleMachinePlug/AQTSampleMachinePlug.json",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : "build/BEFORE/AQTSampleMachinePlug_autogen/timestamp",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : "build/BEFORE/AQTSampleMachinePlug_autogen/timestamp.rule",
			"sourceGroupIndex" : 3
		}
	],
	"type" : "SHARED_LIBRARY"
}
